From d5ebf30b493b1bc17e70e7f412dc061a96a77aa8 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Tue, 7 Apr 2020 16:57:12 +0800
Subject: [PATCH 39/77] virsh_attach_device.py:Add short sleep time after
 attach_device operation.

Add short sleep time after attach_device operation, especially when attach
too many disks to make sure they really works in VM.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_attach_device.py | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_attach_device.py b/libvirt/tests/src/virsh_cmd/domain/virsh_attach_device.py
index 921b210a..1732d02e 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_attach_device.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_attach_device.py
@@ -3,6 +3,7 @@ Module to exercize virsh attach-device command with various devices/options
 """
 
 import re
+import time
 import os
 import os.path
 import logging
@@ -905,6 +906,7 @@ def run(test, params, env):
     pstboot_results = []
     try:
         operational_action(test_params, test_devices, operational_results)
+        time.sleep(10)
         # Fail early if attach-device return value is not expected
         analyze_results(test_params, test,
                         operational_results=operational_results)
-- 
2.23.0

